time-compat-1.9.6.1: Compatibility package for time

Safe Haskell | Trustworthy
Language | Haskell2010

Data.Time.Calendar.Easter.Compat

Synopsis

- sundayAfter :: Day -> Day
- orthodoxPaschalMoon :: Year -> Day
- orthodoxEaster :: Year -> Day
- gregorianPaschalMoon :: Year -> Day
- gregorianEaster :: Year -> Day

# Documentation

sundayAfter :: Day -> Day Source #

The next Sunday strictly after a given day.

orthodoxPaschalMoon :: Year -> Day Source #

Given a year, find the Paschal full moon according to Orthodox Christian tradition

orthodoxEaster :: Year -> Day Source #

Given a year, find Easter according to Orthodox Christian tradition

gregorianPaschalMoon :: Year -> Day Source #

Given a year, find the Paschal full moon according to the Gregorian method

gregorianEaster :: Year -> Day Source #

Given a year, find Easter according to the Gregorian method